import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class Exxx extends MIDlet implements CommandListener  
{ 
    TextBox input;

    static Command BACK_CMD = new Command("", Command.BACK, 2);
    static Command QUIT_CMD = new Command("", Command.EXIT, 2);
    static Command INFO_CMD = new Command("", Command.OK, 2);

    public Exxx() { 
        input = new TextBox(" ", "", 4, TextField.NUMERIC);
    }

    protected void destroyApp(boolean unconditional) 
    {
        input = null;
    }    

    protected  void pauseApp() 
    {
    }

    protected void startApp() 
    {
        input.setCommandListener(this) ;
        input.addCommand(QUIT_CMD);
        input.addCommand(INFO_CMD);
        Display.getDisplay(this).setCurrent(input);
    }


    public void commandAction(Command c, Displayable d) 
    {
        if (c == QUIT_CMD) {
            destroyApp(true);
            notifyDestroyed();
        } else {
            try { 
                int code = Integer.parseInt(input.getString(), 10);
                new CategoryList(this, code);
            } catch (NumberFormatException x) { 
            }
        }
    }
}